using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Benday.CSharpNinja.WinUi.GenericsSamples
{
    public class PersonViewModel
    {
        public PersonViewModel()
        {
            Id = new ViewModelField<int>();
            FirstName = new ViewModelField<string>(String.Empty);
            LastName = new ViewModelField<string>(String.Empty);
            EmailAddress = new ViewModelField<string>(String.Empty);
        }

        public ViewModelField<int> Id { get; set; }
        public ViewModelField<string> FirstName { get; set; }
        public ViewModelField<string> LastName { get; set; }
        public ViewModelField<string> EmailAddress { get; set; }

        public string Summarize()
        {
            StringBuilder builder = new StringBuilder();

            builder.AppendFormat("Id: {0}", Id.Value);
            builder.AppendFormat("First Name: {0}", FirstName.Value);
            builder.AppendFormat("Last Name: {0}", LastName.Value);
            builder.AppendFormat("Email Address: {0}", EmailAddress.Value);

            return builder.ToString();
        }
    }
}
