using System;
using System.Collections.Generic;
using System.Linq;

namespace Benday.CSharpNinja.WinUi.ThrowVsThrowEx
{
    public class PersonManager
    {
        public void DoSomethingThenThrow()
        {
            try
            {
                var dataAccess = new PersonDataAccess();

                dataAccess.DeleteEverything();
            }
            catch (Exception ex)
            {
                Console.WriteLine(
                    String.Format("Whoa.  Got an exception: {0}", ex));

                throw;
            }
        }

        public void DoSomethingThenThrowEx()
        {
            try
            {
                var dataAccess = new PersonDataAccess();

                dataAccess.DeleteEverything();
            }
            catch (Exception ex)
            {
                Console.WriteLine(
                    String.Format("Whoa.  Got an exception: {0}", ex));

                throw ex;
            }
        }

        private void DoSomethingThatDoesntNeedTheException()
        {
            try
            {
                var dataAccess = new PersonDataAccess();

                dataAccess.DeleteEverything();
            }
            catch (Exception)
            {
                Console.WriteLine("Huh.  Well that wasn't good.  (shrug).");                                    
            }
        }
    }
}
