﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Benday.CSharpNinja.WinUi.ThrowVsThrowEx
{
    public partial class ExceptionDemo : Form
    {
        public ExceptionDemo()
        {
            InitializeComponent();
        }

        private void m_RunThrow_Click(object sender, EventArgs e)
        {
            try
            {
                new PersonManager().DoSomethingThenThrow();
            }
            catch (Exception ex)
            {
                m_ThrowMessage.Text = FormatException(ex);
            } 
        }

        private void m_RunThrowEx_Click(object sender, EventArgs e)
        {
            try
            {
                new PersonManager().DoSomethingThenThrowEx();
            }
            catch (Exception ex)
            {
                m_ThrowExMessage.Text = FormatException(ex);
            }
        }

        private string FormatException(Exception ex)
        {
            string message = ex.ToString();

            string formattedMessage = message;

            // formattedMessage = message.Replace(" in ", Environment.NewLine + "in" + Environment.NewLine);
            formattedMessage = formattedMessage.Replace("\\ThrowVsThrowEx\\", "\\ThrowVsThrowEx\\" + Environment.NewLine);

            return formattedMessage;
        }
    }
}
